--天墉城
--副本入口

--脚本号
x102008_g_scriptId=102008

x100 = 3
--事件交互入口
function x102008_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]問天路是一條充滿困難的歷練之路，你確定自己準備好接受歷練了麽？[-]")

	if GetDaJingJie(scene,selfId) >= 2 then	
		AddNumText(scene,x102008_g_scriptId,"問天路",-2,1, 1)
	end
	
	AddNumText(scene,x102008_g_scriptId,"副本說明",-1,2)
	AddNumText(scene,x102008_g_scriptId,"離開",-2,3)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x102008_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==1 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2 then
		BeginEvent(scene)
		AddText(scene,"#{8536}")
		AddNumText(scene,x102008_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1304 then
		x102008_OnDefaultEvent(scene,selfId,targetId)
	elseif index == 3 then
		BeginEvent(scene)
		EndEvent(scene)	
	end

end